--  Configuration for adacdevtbuilgprb generated by Alire
pragma Restrictions (No_Elaboration_Code);
pragma Style_Checks (Off);

package Adacdevtbuilgprb_Config is
   pragma Pure;

   Crate_Version : constant String := "22.0.1";
   Crate_Name : constant String := "adacdevtbuilgprb";

   Alire_Host_OS : constant String := "macos";

   Alire_Host_Arch : constant String := "x86_64";

   Alire_Host_Distro : constant String := "distro_unknown";

   type Host_OS_Kind is (AIX, Darwin, FreeBSD, NetBSD, OpenBSD, GNU_Linux, Linux, Cygwin, Msys, OS_390, QNX, SunOS, MS_Windows);
   Host_OS : constant Host_OS_Kind := Darwin;

   Date_of_Version : constant String := "20230124";

   type Trace_Level_Kind is (Info, Details, Debug);
   Trace_Level : constant Trace_Level_Kind := Info;

   type Build_Profile_Kind is (release, validation, development);
   Build_Profile : constant Build_Profile_Kind := development;

   Copyright_Year : constant String := "2023";

   type Target_OS_Kind is (llvm, aarch64_darwin, aarch64_elf, aarch64_linux, aarch64_netbsd, arm_android, arm_darwin, arm_elf, arm_linux, arm7_netbsd, arm7eb_netbsd, avr_elf, riscv32_elf, riscv32_netbsd, riscv64_elf, riscv64_netbsd, x86_64_darwin, x86_64_freebsd, x86_64_linux, x86_64_netbsd, x86_64_windows, x86_darwin, x86_elf, x86_cygwin, x86_freebsd, x86_linux, x86_netbsd, x86_windows);
   Target_OS : constant Target_OS_Kind := x86_64_darwin;

   type License_Kind_Kind is (Gnatpro, FSF, GPL);
   License_Kind : constant License_Kind_Kind := FSF;

end Adacdevtbuilgprb_Config;
